<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/color_body_01"
        android:fitsSystemWindows="true"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

    <include layout="@layout/app_toolbar"/>

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                >


    <android.support.v4.widget.SwipeRefreshLayout
            android:id="@+id/swiperefreshlayou"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:visibility="visible">

        <com.ntels.onecable.common.widget.CustomScrollView
                android:id="@+id/svBody"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:fadingEdge="none">

            <LinearLayout
                    android:id="@+id/llSvbody"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/color_body_01"
                        android:gravity="center_vertical"
                        android:paddingBottom="15dp"
                        android:paddingLeft="15dp"
                        android:paddingRight="15dp"
                        android:paddingTop="20dp">

                    <ImageView
                            android:id="@+id/ivThingsIcon"
                            android:layout_width="55dp"
                            android:layout_height="55dp"
                            android:layout_marginRight="5dp"/>

                    <TextView
                            android:id="@+id/tvThingsName"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="left"
                            android:includeFontPadding="false"
                            android:text=""
                            android:textColor="@color/color_text_01"
                            android:textSize="@dimen/size_font_02"
                            android:textStyle="bold"/>
                </LinearLayout>

                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="30dp"
                        android:paddingRight="30dp">

                    <com.flask.colorpicker.ColorPickerView
                            android:id="@+id/color_picker_view"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:layout_marginRight="10dp"
                            app:density="12"
                            app:wheelType="FLOWER"/>

                    <SeekBar
                            android:id="@+id/dimming_seekbar"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="47dp"
                            android:layout_gravity="center_horizontal"
                            android:max="99"
                            android:progressDrawable="@drawable/d_dimming_seekbar"
                            android:thumb="@drawable/img_things_detail_88_bar_drag"/>

                    <SeekBar
                            android:id="@+id/whitelevel_seekbar"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="25dp"
                            android:layout_gravity="center_horizontal"
                            android:max="100"
                            android:progressDrawable="@drawable/d_whitelevel_seekbar"
                            android:thumb="@drawable/img_things_detail_88_bar_drag"/>
                </LinearLayout>

                <LinearLayout
                        android:id="@+id/llRowBody1_Contents"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="50dp"
                        android:layout_marginBottom="50dp"
                        android:gravity="center_horizontal"
                        android:orientation="horizontal">

                    <Button
                            android:id="@+id/btnRowBody1_Contents_On"
                            android:layout_width="wrap_content"
                            android:layout_height="65dp"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:layout_marginTop="20dp"
                            android:background="@drawable/d_img_things_detail_06_99_btn_on"
                            android:minWidth="110dp"
                            android:textColor="@color/color_text_04"
                            android:textSize="@dimen/size_font_02"/>

                    <Button
                            android:id="@+id/btnRowBody1_Contents_Off"
                            android:layout_width="wrap_content"
                            android:layout_height="65dp"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:layout_marginTop="20dp"
                            android:background="@drawable/d_img_things_detail_06_99_btn_off"
                            android:minWidth="110dp"
                            android:textColor="@color/color_text_04"
                            android:textSize="@dimen/size_font_02"/>

                </LinearLayout>

            </LinearLayout>
        </com.ntels.onecable.common.widget.CustomScrollView>
    </android.support.v4.widget.SwipeRefreshLayout>

        </LinearLayout>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="6dp"
                android:layout_alignParentTop="true"
                android:background="@drawable/shadow_top"/>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:layout_alignParentBottom="true"
                android:background="@drawable/shadow_bottom"/>
    </RelativeLayout>
    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

        <View
                style="@style/width_Divider_02"/>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/color_bg_01"
                android:gravity="center">

            <LinearLayout
                    android:id="@+id/llBtn1"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                <TextView
                        android:id="@+id/tvBtn1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:includeFontPadding="false"
                        android:text="@string/layout_close"
                        android:textColor="@drawable/d_font_color_font_01_color_font_02"
                        android:textSize="@dimen/size_font_05"
                        android:textStyle="bold"/>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>
</LinearLayout>
